﻿@* New comment for source code production by Rahmat 2014-09-22 *@
@{ Layout = null; } 
 
@using (Html.BeginForm("Callbacks", "PackingSpecMaster", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <div class="uploadContainer">
        <label>Select Excel File :</label> 
        @Html.DevExpress().UploadControl(
            settings => {
                settings.Name = "ucCallbacks";
                settings.CallbackRouteValues = new { Controller = "PackingSpecMaster", Action = "CallbackUpload" };
                settings.ShowProgressPanel = false;
                
                settings.ClientSideEvents.FileUploadComplete = @"function(s,e){ 
                if(e.callbackData != '')
                {                
                alert(e.callbackData);
                popUpload.Hide();
                GVPackingSpec.Refresh();
                }}";
            }).GetHtml()
        <label>&nbsp;</label>
        <div class="editorArea text">
            Allowed File types: xls<br />
            Maximum file size: 5MB
        </div>
        <label>&nbsp;</label>
        <div class="editorArea">
            <input type="button" value="Upload" onclick="ucCallbacks.Upload()" />
        </div>
    </div>
}

@*@using (Html.BeginForm("UploadPackingSpec", "PackingSpecMaster", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <input type='file' name='file' id='file' />
    <input type="submit" value="submit" />
}*@